diff --git a/README b/README
index 029a2d4..8c6ce3a 100644
--- a/README
+++ b/README
@@ -152,6 +152,13 @@ Project history as far as known to me:
- 16th September 2006 feature freeze for release of libburn-0.2.2 .
+- 20th September 2006 release of libburn-0.2.2 .
+
+- 26th October 2006 feature freeze for cdrskin-0.2.4 based on libburn-0.2.3 .
+ This version of cdrskin is much more cdrecord compatible in repect
+ to drive addressing and audio features.
+
+
------------------------------------------------------------------------------
This program is free software; you can redistribute it and/or modify
diff --git a/cdrskin/README b/cdrskin/README
index 56abac6..d2baa45 100644
--- a/cdrskin/README
+++ b/cdrskin/README
@@ -26,12 +26,12 @@ following possible.
cdrskin. By Thomas Schmitt
Integrated sub project of libburn.pykix.org but also published via:
http://scdbackup.sourceforge.net/cdrskin_eng.html
-http://scdbackup.sourceforge.net/cdrskin-0.2.3.tar.gz
+http://scdbackup.sourceforge.net/cdrskin-0.2.5.tar.gz
Copyright (C) 2006 Thomas Schmitt
------------------------------------------------------------------------------
-On top of libburn there is implemented cdrskin 0.2.3, a limited cdrecord
+On top of libburn there is implemented cdrskin 0.2.5, a limited cdrecord
compatibility wrapper which allows to use some libburn features from
the command line.
Interested users of cdrecord are invited to participate in the development
@@ -59,16 +59,16 @@ systems, including 64 bit systems. (Further reports are welcome.)
Compilation, First Glimpse, Installation
-Obtain cdrskin-0.2.3.tar.gz , take it to a directory of your choice and do:
+Obtain cdrskin-0.2.5.tar.gz , take it to a directory of your choice and do:
- tar xzf cdrskin-0.2.3.tar.gz
- cd cdrskin-0.2.3
+ tar xzf cdrskin-0.2.5.tar.gz
+ cd cdrskin-0.2.5
Or obtain a libburn.pykix.org SVN snapshot,
go into the toplevel directory of the snapshot (e.g. cd libburn_pykix ),
and execute the autotools script ./bootstrap . Use autools version >= 1.7 .
-Within that toplevel directory of either cdrskin-0.2.3 or libburn then execute:
+Within that toplevel directory of either cdrskin-0.2.5 or libburn then execute:
./configure
make
@@ -181,7 +181,7 @@ See below "Audio CD" for specifications.
madplay -o raw:track04.cd /path/to/track4.mp3
mppdec --raw-le /path/to/track5.mpc track05.cd
- cdrskin dev=0,1,0 blank=fast -eject speed=48 \
+ cdrskin dev=0,1,0 blank=fast -eject speed=48 -sao \
-audio -swab track0[1-5].cd /path/to/track6.wav
diff --git a/cdrskin/add_ts_changes_to_libburn_0_2_4 b/cdrskin/add_ts_changes_to_libburn_0_2_4
new file mode 100755
index 0000000..cda78ad
--- /dev/null
+++ b/cdrskin/add_ts_changes_to_libburn_0_2_4
@@ -0,0 +1,203 @@
+#!/bin/sh
+
+set -x
+
+# This script documents how this cdrskin version was derived from
+# a vanilla libburn version. It is not intended nor needed for any
+# use of cdrskin but included here only to show the technical
+# relationship between both projects - which are close friends
+# and issue roughly the same software.
+#
+# Package maintainers are advised to cover rather libburn than
+# cdrskin unless they put only emphasis on the cdrecord emulation
+# provided by cdrskin. libburn contains cdrskin - cdrskin is an
+# oscillating, friendly and coordinated fork of libburn.
+#
+# Script results are a source tarball and two binaries
+# one dynamic and one static in respect to system libs.
+# Both binaries are static in respect to libburn.
+#
+# The script is to be run in the directory above the toplevel
+# directory of libburn resp. cdrskin development.
+#
+# libburn version used: http://libburn.pykix.org
+# Downloaded by:
+# $ svn co http://libburn-svn.pykix.org/trunk libburn_pykix
+# packed up in a tarball just to save it from inadverted changes by
+# $ tar czf libburn_svn.tgz libburn_pykix
+original="./libburn_svn.tgz"
+# Historic moments:
+# original="./libburn_svn_A60815.tgz"
+# original="./libburn_cdrskin_A60819.tgz"
+
+# The top level directory in that snapshot is named
+intermediate="./libburn_pykix"
+
+# My changes are in libburn-0.2.4.ts.develop , mainly in ./cdrskin
+
+changes="./libburn-0.2.4.ts.develop"
+skin_rev="0.2.4"
+
+# The result directory and the name of the result tarballs
+target="./cdrskin-${skin_rev}"
+cdrskin_tarball="./cdrskin-${skin_rev}.tar.gz"
+cdrskin_tarball_svn="./cdrskin-${skin_rev}.svn.tar.gz"
+
+# (This once earned me an embarrassingly blooping source tarball)
+# compile_dir="$changes"
+
+compile_dir="$target"
+compile_cmd="./cdrskin/compile_cdrskin.sh"
+compile_static_opts="-static"
+compile_result="cdrskin/cdrskin"
+
+bintarget_dynamic="cdrskin_${skin_rev}-x86-suse9_0"
+bintarget_static="$bintarget_dynamic"-static
+
+if test -d "$changes"
+then
+ dummy=dummy
+else
+ echo "$0 : FATAL : no directory $changes" >&2
+ exit 1
+fi
+
+for i in "$target" "$intermediate"
+do
+ if test -e "$i"
+ then
+ echo "$0 : FATAL : already existing $i" >&2
+ exit 2
+ fi
+done
+
+if test -f "$original"
+then
+ dummy=dummy
+else
+ echo "$0 : FATAL : no file $original" >&2
+ exit 3
+fi
+
+
+# Unpack SVN snapshot.
+tar xzf "$original"
+
+
+# Rename the directory to the cdrskin name
+mv "$intermediate" "$target"
+
+
+# Copy the changes from the development tree
+#
+cdrskin_dir="$changes"/cdrskin
+libburn_dir="$changes"/libburn
+cdrskin_target="$target"/cdrskin
+libburn_target="$target"/libburn
+
+# Create version timestamp
+timestamp="$(date -u '+%Y.%m.%d.%H%M%S')"
+echo "$timestamp"
+echo '#define Cdrskin_timestamP "'"$timestamp"'"' >"$cdrskin_dir"/cdrskin_timestamp.h
+
+# Add the cdrskin files
+if test -e "$cdrskin_target"
+then
+ rm -rf "$cdrskin_target"
+fi
+cp -a "$cdrskin_dir" "$cdrskin_target"
+
+# Remove copied binaries
+rm "$cdrskin_target"/*.o
+rm "$cdrskin_target"/cdrfifo
+rm "$cdrskin_target"/cdrskin
+rm "$cdrskin_target"/cleanup
+for i in std new make old
+do
+ if test -e "$cdrskin_target"/cdrskin_"$i"
+ then
+ rm "$cdrskin_target"/cdrskin_"$i"
+ fi
+done
+for i in .deps .dirstamp .libs
+do
+ if test -e "$cdrskin_target"/"$i"
+ then
+ rm -rf "$cdrskin_target"/"$i"
+ fi
+done
+
+# Remove unwanted SVN stuff (TODO: avoid downloading it)
+for i in "$target"/.svn "$target"/*/.svn
+do
+ if test "$i" = "$target"'/*/.svn'
+ then
+ dummy=dummy
+ else
+ if test -e "$i"
+ then
+ rm -rf "$i"
+ fi
+ fi
+done
+
+## No more : Add own libburn-README in toplevel
+# cp -a "$changes"/README "$target"
+
+## No more : Add modified Makefile.am
+# cp -a "$changes"/Makefile.am "$target"
+
+
+# Make SVN state tarball for the libburn team
+tar czf "$cdrskin_tarball_svn" "$target"
+
+
+# Get over dependecy on autotools. Rely only on cc, make et. al.
+# This is not the same as "make dist" but i can do it without
+# having to evaluate the quality of said "make dist"
+#
+( cd "$target" ; ./bootstrap )
+
+# Remove unwanted stuff after bootstrap
+for i in "$target"/autom4te.cache
+do
+ if echo "$i" | grep '\*' >/dev/null
+ then
+ dummy=dummy
+ else
+ if test -e "$i"
+ then
+ rm -rf "$i"
+ fi
+ fi
+done
+
+
+# Pack it up to the new libburn+cdrskin-tarball
+tar czf "$cdrskin_tarball" "$target"
+
+# Produce a static and a dynamic binary
+(
+ cd "$compile_dir" || exit 1
+ ./configure
+ make
+ $compile_cmd -do_strip
+ cp "$compile_result" "../$bintarget_dynamic"
+ if test -n "$compile_static_opts"
+ then
+ $compile_cmd $compile_static_opts -do_strip
+ cp "$compile_result" "../$bintarget_static"
+ fi
+)
+
+# Remove the build area
+# Disable this for debugging the merge process
+rm -rf "$target"
+
+# Show the result
+./"$bintarget_dynamic" -version
+./"$bintarget_static" -version
+ls -l "$cdrskin_tarball"
+ls -l "$bintarget_dynamic"
+ls -l "$bintarget_static"
+
diff --git a/cdrskin/add_ts_changes_to_libburn_0_2_5 b/cdrskin/add_ts_changes_to_libburn_0_2_5
new file mode 100755
index 0000000..770a456
--- /dev/null
+++ b/cdrskin/add_ts_changes_to_libburn_0_2_5
@@ -0,0 +1,203 @@
+#!/bin/sh
+
+set -x
+
+# This script documents how this cdrskin version was derived from
+# a vanilla libburn version. It is not intended nor needed for any
+# use of cdrskin but included here only to show the technical
+# relationship between both projects - which are close friends
+# and issue roughly the same software.
+#
+# Package maintainers are advised to cover rather libburn than
+# cdrskin unless they put only emphasis on the cdrecord emulation
+# provided by cdrskin. libburn contains cdrskin - cdrskin is an
+# oscillating, friendly and coordinated fork of libburn.
+#
+# Script results are a source tarball and two binaries
+# one dynamic and one static in respect to system libs.
+# Both binaries are static in respect to libburn.
+#
+# The script is to be run in the directory above the toplevel
+# directory of libburn resp. cdrskin development.
+#
+# libburn version used: http://libburn.pykix.org
+# Downloaded by:
+# $ svn co http://libburn-svn.pykix.org/trunk libburn_pykix
+# packed up in a tarball just to save it from inadverted changes by
+# $ tar czf libburn_svn.tgz libburn_pykix
+original="./libburn_svn.tgz"
+# Historic moments:
+# original="./libburn_svn_A60815.tgz"
+# original="./libburn_cdrskin_A60819.tgz"
+
+# The top level directory in that snapshot is named
+intermediate="./libburn_pykix"
+
+# My changes are in libburn-0.2.5.ts.develop , mainly in ./cdrskin
+
+changes="./libburn-0.2.5.ts.develop"
+skin_rev="0.2.5"
+
+# The result directory and the name of the result tarballs
+target="./cdrskin-${skin_rev}"
+cdrskin_tarball="./cdrskin-${skin_rev}.tar.gz"
+cdrskin_tarball_svn="./cdrskin-${skin_rev}.svn.tar.gz"
+
+# (This once earned me an embarrassingly blooping source tarball)
+# compile_dir="$changes"
+
+compile_dir="$target"
+compile_cmd="./cdrskin/compile_cdrskin.sh"
+compile_static_opts="-static"
+compile_result="cdrskin/cdrskin"
+
+bintarget_dynamic="cdrskin_${skin_rev}-x86-suse9_0"
+bintarget_static="$bintarget_dynamic"-static
+
+if test -d "$changes"
+then
+ dummy=dummy
+else
+ echo "$0 : FATAL : no directory $changes" >&2
+ exit 1
+fi
+
+for i in "$target" "$intermediate"
+do
+ if test -e "$i"
+ then
+ echo "$0 : FATAL : already existing $i" >&2
+ exit 2
+ fi
+done
+
+if test -f "$original"
+then
+ dummy=dummy
+else
+ echo "$0 : FATAL : no file $original" >&2
+ exit 3
+fi
+
+
+# Unpack SVN snapshot.
+tar xzf "$original"
+
+
+# Rename the directory to the cdrskin name
+mv "$intermediate" "$target"
+
+
+# Copy the changes from the development tree
+#
+cdrskin_dir="$changes"/cdrskin
+libburn_dir="$changes"/libburn
+cdrskin_target="$target"/cdrskin
+libburn_target="$target"/libburn
+
+# Create version timestamp
+timestamp="$(date -u '+%Y.%m.%d.%H%M%S')"
+echo "$timestamp"
+echo '#define Cdrskin_timestamP "'"$timestamp"'"' >"$cdrskin_dir"/cdrskin_timestamp.h
+
+# Add the cdrskin files
+if test -e "$cdrskin_target"
+then
+ rm -rf "$cdrskin_target"
+fi
+cp -a "$cdrskin_dir" "$cdrskin_target"
+
+# Remove copied binaries
+rm "$cdrskin_target"/*.o
+rm "$cdrskin_target"/cdrfifo
+rm "$cdrskin_target"/cdrskin
+rm "$cdrskin_target"/cleanup
+for i in std new make old
+do
+ if test -e "$cdrskin_target"/cdrskin_"$i"
+ then
+ rm "$cdrskin_target"/cdrskin_"$i"
+ fi
+done
+for i in .deps .dirstamp .libs
+do
+ if test -e "$cdrskin_target"/"$i"
+ then
+ rm -rf "$cdrskin_target"/"$i"
+ fi
+done
+
+# Remove unwanted SVN stuff (TODO: avoid downloading it)
+for i in "$target"/.svn "$target"/*/.svn
+do
+ if test "$i" = "$target"'/*/.svn'
+ then
+ dummy=dummy
+ else
+ if test -e "$i"
+ then
+ rm -rf "$i"
+ fi
+ fi
+done
+
+## No more : Add own libburn-README in toplevel
+# cp -a "$changes"/README "$target"
+
+## No more : Add modified Makefile.am
+# cp -a "$changes"/Makefile.am "$target"
+
+
+# Make SVN state tarball for the libburn team
+tar czf "$cdrskin_tarball_svn" "$target"
+
+
+# Get over dependecy on autotools. Rely only on cc, make et. al.
+# This is not the same as "make dist" but i can do it without
+# having to evaluate the quality of said "make dist"
+#
+( cd "$target" ; ./bootstrap )
+
+# Remove unwanted stuff after bootstrap
+for i in "$target"/autom4te.cache
+do
+ if echo "$i" | grep '\*' >/dev/null
+ then
+ dummy=dummy
+ else
+ if test -e "$i"
+ then
+ rm -rf "$i"
+ fi
+ fi
+done
+
+
+# Pack it up to the new libburn+cdrskin-tarball
+tar czf "$cdrskin_tarball" "$target"
+
+# Produce a static and a dynamic binary
+(
+ cd "$compile_dir" || exit 1
+ ./configure
+ make
+ $compile_cmd -do_strip
+ cp "$compile_result" "../$bintarget_dynamic"
+ if test -n "$compile_static_opts"
+ then
+ $compile_cmd $compile_static_opts -do_strip
+ cp "$compile_result" "../$bintarget_static"
+ fi
+)
+
+# Remove the build area
+# Disable this for debugging the merge process
+rm -rf "$target"
+
+# Show the result
+./"$bintarget_dynamic" -version
+./"$bintarget_static" -version
+ls -l "$cdrskin_tarball"
+ls -l "$bintarget_dynamic"
+ls -l "$bintarget_static"
+
diff --git a/cdrskin/cdrskin.c b/cdrskin/cdrskin.c
index af9da04..34fe37b 100644
--- a/cdrskin/cdrskin.c
+++ b/cdrskin/cdrskin.c
@@ -123,7 +123,7 @@ or
/** The official program version */
#ifndef Cdrskin_prog_versioN
-#define Cdrskin_prog_versioN "0.2.3"
+#define Cdrskin_prog_versioN "0.2.5"
#endif
/** The source code release timestamp */
@@ -1914,11 +1914,11 @@ set_dev:;
" --ignore_signals try to ignore any signals rather than to abort\n");
printf(" --no_abort_handler exit even if the drive is in busy state\n");
printf(" --no_blank_appendable refuse to blank appendable CD-RW\n");
- printf(" --old_pseudo_scsi_adr use and report literal Bus,Target,Lun\n");
- printf(" rather than real SCSI and pseudo ATA.\n");
printf(" --no_convert_fs_adr only literal translations of dev=\n");
printf(
" --no_rc as first argument: do not read startup files\n");
+ printf(" --old_pseudo_scsi_adr use and report literal Bus,Target,Lun\n");
+ printf(" rather than real SCSI and pseudo ATA.\n");
printf(
" --single_track accept only last argument as source_address\n");
printf(
@@ -1930,8 +1930,7 @@ set_dev:;
printf(
"if they exist and are readable. The sequence is as listed here:\n");
printf(" /etc/default/cdrskin /etc/opt/cdrskin/rc $HOME/.cdrskinrc\n");
- printf(
- "Each file line is a single argument. No remarks, no whitespace.\n");
+ printf("Each file line is a single argument. No whitespace.\n");
printf(
"By default any argument that does not match grep '^-.' or '=' is\n");
printf(
diff --git a/cdrskin/cdrskin_eng.html b/cdrskin/cdrskin_eng.html
index 0970ce1..0b7fe6c 100644
--- a/cdrskin/cdrskin_eng.html
+++ b/cdrskin/cdrskin_eng.html
@@ -51,7 +51,7 @@ A CD recorder suitable for
GPL software included:
-- libburn-0.2.2
+- libburn-0.2.3 stabilized SVN snapshot
- (by Derek Foreman, Ben Jansens, and team of libburn.pykix.org)
- transfers data to CD
@@ -80,10 +80,31 @@ Ports to other usable systems are appreciated. Reports are welcome.
This has been achieved quite sufficiently for the needs of backup tool
scdbackup
and for data CD projects of K3b
-(see examples).
+(see examples).
+Suitability for audio CD frontends has been improved much and is now being
+evaluated.
Further enhancements depend on people who can describe and discuss their
wishes as well as on the development of libburn.
+Get an overview of drives:
+$ cdrskin -scanbus
+$ cdrskin dev=ATA -scanbus
+$ cdrskin --devices
+Get info about a particular drive or loaded media:
+$ cdrskin dev=0,1,0 -checkdrive
+$ cdrskin dev=ATA:1,0,0 -atip
+$ cdrskin dev=/dev/hdc -toc
+Make used CD-RW writable again:
+$ cdrskin -v dev=/dev/sg1 blank=all -eject
+$ cdrskin -v dev=/dev/dvd blank=fast -eject
+Write ISO-9660 filesystem image:
+$ cdrskin -v dev=/dev/hdc speed=12 fs=8m driveropts=burnfree -sao -eject padsize=300k my_image.iso
+Write compressed afio archive on-the-fly:
+$ find . | afio -oZ - | cdrskin -v dev=0,1,0 fs=32m speed=8 driveropts=burnfree padsize=300k -sao tsize=650m -
+Write audio tracks:
+$ cdrskin -v dev=ATA:1,0,0 speed=48 driveropts=burnfree -sao track1.wav track2.au -audio -swab track3.raw
+
+
cdrskin -help
reports the cdrecord compatible options
cdrskin --help
@@ -94,15 +115,6 @@ wishes as well as on the development of libburn.
(Be cursed if you install cdrskin as "cdrecord" without clearly forwarding
this "don't bother Joerg" demand.)
-Currently (and sparsely) supported gestures :
-$ cdrskin -scanbus
-$ cdrskin dev=1,1,0 -checkdrive
-$ cdrskin dev=1,1,0 -atip
-$ cdrskin -v dev=1,1,0 blank=all -eject
-$ cdrskin -v dev=1,1,0 blank=fast -eject
-$ cdrskin -v dev=1,1,0 speed=12 fs=8m -sao driveropts=burnfree -eject padsize=300k my_image.iso
-$ cdrskin -v dev=1,1,0 ... ... track_1.iso padsize=300k track_2.afio
-$ find . | afio -oZ - | cdrskin -v dev=1,1,0 fs=32m speed=8 -sao driveropts=burnfree padsize=300k tsize=650m -
@@ -111,12 +123,6 @@ wishes as well as on the development of libburn.
-
-Option -audio is enabled but by default not advertised via option -help,
-because no beheading of .au or .wav files takes place yet.
-
Note: In development version 0.2.3 there is automatic extraction of
-.wav and .au. So -audio is fully supported.
-
--
Burns only a single closed session. No -multi option yet.
-
@@ -143,8 +149,8 @@ rw-permissions and retry the bus scan as non-superuser.
- Download as source code (see README):
-- cdrskin-0.2.2.tar.gz
-(450 KB).
+
- cdrskin-0.2.4.tar.gz
+(510 KB).
-
The "stable" cdrskin tarballs are source code identical with "stable"
@@ -154,19 +160,18 @@ cdrskin is part of libburn - full libburn is provided with cdrskin releases.
-
- Download as single x86 binaries (untar and move to /usr/bin/cdrskin):
--
-cdrskin_0.2.2-x86-suse9_0.tar.gz, (60 KB),
+
-
+cdrskin_0.2.4-x86-suse9_0.tar.gz, (60 KB),
- runs on SuSE 9.0 (2.4.21) , RIP-14.4 (2.6.14) ,
Gentoo (2.6.15 x86_64 Athlon).
--
-cdrskin_0.2.2-x86-suse9_0-static.tar.gz, (250 KB), -static compiled,
+
-
+cdrskin_0.2.4-x86-suse9_0-static.tar.gz, (260 KB), -static compiled,
- runs on SuSE 7.2 (2.4.4), and on the systems above.
--
- Documentation:
- README a short introduction
@@ -185,30 +190,41 @@ cdrskin_0.2.2-x86-suse9_0-static.tar.gz, (250 KB), -static compiled,
+
+Enhancements towards previous stable version cdrskin-0.2.2:
+
+- cdrecord compatibility with drive addresses of form [ATA:]Bus,Target,Lun.
+
(use option --old_pseudo_scsi_adr to get back the incompatible
+ Bus,Traget,Lun addressing of version 0.2.2)
+
+- Drives adressable via links and device siblings (/dev/cdrom , /dev/scd0).
+
+- Automatic -audio extraction with .wav files and .au files.
+
+- Bug fix about failure to eject.
+- Comments and empty lines allowed in startup files.
+- Options -scanbus and --devices print SORRY messages about busy drives.
+
+- Drive buffer fill indicator reports realistic percentage numbers.
+- Option -toc is supported, drive firmware revision gets displayed.
+
+
+
+
+
-- Development snapshot, version 0.2.3 :
+- Development snapshot, version 0.2.5 :
-
-- Contains non-critical bug fix about failure to eject.
--
-- Enhancements towards stable version:
+
- Enhancements towards stable version 0.2.4:
- - cdrecord compatibility with addresses of form [ATA:]Bus,Target,Lun.
- - Drives adressable via links and device siblings (/dev/cdrom , /dev/scd0).
-
- - Automatic -audio extraction with .wav files and .au files.
-
$ cdrskin -v dev=1,1,0 track1.wav track2.au -audio -swab track3.raw
-
- - Comments and empty lines allowed in startup files.
- - Options -scanbus and --devices print SORRY messages about busy drives.
-
- - Drive buffer fill indicator reports realistic percentage numbers.
- - Option -toc is supported, drive firmware revision gets displayed.
-
+ - -none for now-
+
+
-README 0.2.3
-cdrskin_0.2.3 --help
-cdrskin_0.2.3 -help
+README 0.2.5
+cdrskin_0.2.5 --help
+cdrskin_0.2.5 -help
Maintainers of cdrskin unstable packages please use SVN of
libburn.pykix.org
@@ -228,15 +244,15 @@ admins with full system souvereignty.
upcoming README ):
-cdrskin-0.2.3.tar.gz
+cdrskin-0.2.5.tar.gz
(500 KB).
Binary (untar and move to /usr/bin/cdrskin):
-
-cdrskin_0.2.3-x86-suse9_0.tar.gz, (60 KB).
+
+cdrskin_0.2.5-x86-suse9_0.tar.gz, (60 KB).
-
-cdrskin_0.2.3-x86-suse9_0-static.tar.gz, (260 KB)
+
+cdrskin_0.2.5-x86-suse9_0-static.tar.gz, (260 KB)
@@ -289,36 +305,6 @@ is a GUI frontend which uses cdrecord for CD burning.)
Example for a test session with a cdrecord based scdbackup installation:
$ cdrskin -scanbus
...
-scsibus1:
- 1,0,0 0) 'TEAC' 'CD-ROM CD-532S' '?' Removable CD-ROM
-scsibus2:
- 2,2,0 1) 'LITE-ON' 'LTR-48125S' '?' Removable CD-ROM
-$ export SCDBACKUP_SCSI_ADR="2,2,0"
-
-
-
-$ export SCDBACKUP_CDRECORD="cdrskin -v -v tao_to_sao_tsize=650m"
-$ scdbackup_home
-
-
-- Example for a permanent configuration of cdrskin based scdbackup
-- $ cd scdbackup-0.8.6/inst
-- $ export SCDBACKUP_USE_CDRSKIN=1
-- $ export SCDBACKUP_EJECT_ADR=/dev/cdrecorder
-- $ ./CONFIGURE_CD
-- ...
-- cdrskin 0.2.2 : limited cdrecord compatibility wrapper for libburn
-- ...
-- ------------------- SCSI devices. To be used like 0,0,0
If your system is stricken with some ill CD device then this can stall
and you will have to press Ctrl+C to abort.
@@ -327,26 +313,34 @@ In this case, you may execute
and try again.
-- 1,0,0 0) 'TEAC' 'CD-ROM CD-532S' '?' Removable CD-ROM
-- 2,2,0 1) 'LITE-ON' 'LTR-48125S' '?' Removable CD-ROM
-- ------------------- end of SCSI device list
-
-
-
- ...
- * Your cdrecord offers -driveropts=burnfree with your recorder.
- ...
- scdbackup for CD 0.8.6 : First stage of installation done.
- ...
- Now give it a try. Run : scdbackup_home
-- $ unset SCDBACKUP_USE_CDRSKIN SCDBACKUP_EJECT_ADR
+- $ unset SCDBACKUP_USE_CDRSKIN
- To get back to using cdrecord :
diff --git a/cdrskin/cdrskin_timestamp.h b/cdrskin/cdrskin_timestamp.h
index f94c21b..efec023 100644
--- a/cdrskin/cdrskin_timestamp.h
+++ b/cdrskin/cdrskin_timestamp.h
@@ -1 +1 @@
-#define Cdrskin_timestamP "2006.10.24.165610"
+#define Cdrskin_timestamP "2006.10.28.115213"
diff --git a/cdrskin/changelog.txt b/cdrskin/changelog.txt
index 285ea34..ca5ca0d 100644
--- a/cdrskin/changelog.txt
+++ b/cdrskin/changelog.txt
@@ -742,6 +742,7 @@ libburn/sg.h
libburn/sg.c
libburn/libdax_msgs.h
cdrskin/cdrskin.c
+Disabled but did not discarded failed attempt to lock against growisofs
2006.09.27.120656 [234]
libburn/drive.h
@@ -934,7 +935,6 @@ libburn/transport.h
cdrskin/cleanup.c
Made libburn and cdrskin build on my Linux again
-
2006.10.13.114554 [271]
cdrskin/cdrskin.c
libburn/write.c
@@ -942,7 +942,6 @@ libburn/sg-linux.c
libburn/libdax_msgs.h
Removed bug in burn_disc_write_sync(): BURN_DRIVE_IDLE, then d->sync_cache()
-
2006.10.14.105224 [272]
libburn/sg.h
libburn/sg-freebsd.c
@@ -954,7 +953,6 @@ Introduced burn_drive_enumerator_t to allow more complete sg-freebsd implementat
cdrskin/cdrskin.c
Changed ambigous include statement of libburn.h
-
15 Oct 2006 2006 [275]
Makefile.am
libburn/libdax_msgs.h
@@ -1027,8 +1025,203 @@ cdrskin/cdrskin.c
cdrskin/compile_cdrskin.sh
Made cdrskin use libburn/cleanup.[oh] by default (not cdrskin/cleanup.[ch])
------------------------------------- cycled - cdrskin-0.2.3 - 2006.10.19
+------------------------------------ cycled - cdrskin-0.2.3 - 2006.10.19.105730
+2006.10.19.162254 [294]
+cdrskin/cdrskin.c
+cdrskin/cdrskin_eng.html
+cdrskin/changelog.txt
+Updated documentation about cdrskin-0.2.3
+
+2006.10.19.164742 [295]
+cdrskin/cdrskin.c
+Corrected -help text
+
+2006.10.20.113421 [297]
+libburn/libburn.h
+libburn/mmc.c
+libburn/sg-linux.c
+libburn/sg-freebsd.c
+libburn/drive.c
+cdrskin/cdrskin.c
+Made cdrskin produce "ATIP start of lead" (on non-blank media for now)
+
+20 Oct 2006 [298]
+doc/comments
+Updated help text of libburner
+
+2006.10.20.151602 [299]
+libburn/libburn.h
+libburn/drive.c
+libburn/mmc.c
+libburn/libdax_msgs.h
+cdrskin/cdrskin.c
+Classified media with TOC read error as unsuitable (rather than as blank)
+
+2006.10.21.103352 [300]
+libburn/libburn.h
+libburn/transport.h
+libburn/drive.c
+libburn/mmc.c
+libburn/spc.c
+libburn/sg-linux.c
+libburn/sg-freebsd.c
+libburn/libdax_msgs.h
+cdrskin/cdrskin.c
+Implemented some ATIP functionality
+
+2006.10.21.103653 [301] [302]
+libburn/libburn.h
+Clarified relation of burn_disc_read_atip() and burn_drive_get_start_end_lba()
+
+2006.10.21.185102 [303]
+libburn/sg.h
+libburn/mmc.h
+libburn/mmc.c
+libburn/sbc.h
+libburn/sbc.c
+libburn/spc.h
+libburn/spc.c
+libburn/drive.h
+libburn/drive.c
+libburn/transport.h
+libburn/sg-linux.c
+libburn/sg-freebsd.c
+Split enumerate_common() into logic-layer, command-layer, transport-layer
+
+2006.10.22.130341 [304]
+libburn/libburn.h
+libburn/mmc.c
+libburn/drive.c
+libburn/cleanup.c
+cdrskin/cleanup.c
+cdrskin/cdrskin.c
+Implemented cdrskin -toc
+
+2006.10.22.131452 [305]
+cdrskin/cdrskin.c
+Regulated coexistence of options -toc and -atip
+
+23 Oct 2006 [306]
+libburn/mmc.c
+Made clarification in remark about atip speed conversion
+
+2006.10.23.074430 [307]
+cdrskin/cdrskin.c
+Made use of burn_drive_info.revision as firmware revision text
+
+2006.10.23.113116 [308]
+libburn/libburn.h
+libburn/transport.h
+libburn/mmc.h
+libburn/mmc.c
+libburn/write.c
+cdrskin/cdrskin.c
+cdrskin/cdrskin_eng.html
+cdrskin/README
+Made available drive buffer fill during write
+
+23 Oct 2006 [309]
+libburn/sg-freebsd.c
+Updated tangling of FreeBSD code with mmc.c :(
+
+
+2006.10.23.134719 [310]
+cdrskin/cdrskin.c
+Corrected -toc track counter and notified about "hidden" tracks
+
+2006.10.24.075039 [311]
+libburn/libdax_audioxtr.h
+libburn/libdax_audioxtr.c
+test/dewav.c
+cdrskin/cdrskin.c
+Introduced extraction of .au (but not its usage within cdrskin)
+
+2006.10.24.102107 [312]
+libburn/libburn.h
+libburn/structure.h
+libburn/structure.c
+libburn/sector.c
+cdrskin/cdrskin.c
+cdrskin/README
+Enabled byte swapping for audio track sources, added anti option -swab
+
+2006.10.24.130259 [313]
+test/dewav.c
+cdrskin/cdrskin.c
+cdrskin/README
+Enabled automatic extraction of .au
+
+24 Oct 2006 [314]
+Makefile.am
++ test/fake_au.c
+Introduced temporary test program to produce SUN .au files
+
+------------------------------------ cycled - cdrskin-0.2.3 - 2006.10.24.144650
+
+2006.10.24.165427 [315]
+libburn/sector.c
+Closed some loopholes for byte swapping.
+
+
+2006.10.24.165610 [316]
+cdrskin/cdrskin.c
+Enabled audio byte swapping by default (to be disabled via option -swab)
+
+------------------------------------ cycled - cdrskin-0.2.3 - 2006.10.24.173602
+
+25 Oct 2006 [317]
+cdrskin/README
+cdrskin/cdrskin_eng.html
+cdrskin/wiki_plain.txt
+Announced full -audio compatibility with cdrecord
+
+------------------------------------ cycled - cdrskin-0.2.3 - 2006.10.25.160540
+
+2006.10.27.114326 [319]
+- cdrskin/add_ts_changes_to_libburn_0_2_3
++ cdrskin/add_ts_changes_to_libburn_0_2_4
+cdrskin/README
+cdrskin/cdrskin.c
+cdrskin/cdrskin_eng.html
+cdrskin/changelog.txt
+README
+Performed cdrskin version leap to cdrskin-0.2.4
+(To be committed to branch)
+
+
+2006.10.28.093922 [320]
+cdrskin/cdrskin_timestamp.h
+Set final timestamp 2006.10.28.093922
+
+
+------------------------------------ cycled - cdrskin-0.2.4 - 2006.10.28.093922
+
+
+ []
+- cdrskin/add_ts_changes_to_libburn_0_2_3
++ cdrskin/add_ts_changes_to_libburn_0_2_4
++ cdrskin/add_ts_changes_to_libburn_0_2_5
+cdrskin/README
+cdrskin/cdrskin.c
+cdrskin/cdrskin_eng.html
+cdrskin/changelog.txt
+README
+Prepare cdrskin version leap to cdrskin-0.2.5
+(To be committed to trunk)
+
+
+------------------------------------ cycled - cdrskin-0.2.5
+
+
+2006 []
+(k3b_on_cdrskin.html)
+
+2006 []
+-reset: ioctl(fd,CDROMRESET) ioctl(fd,SG_SCSI_RESET,SG_SCSI_RESET_DEVICE)
+
+2006 []
+Try wether tao will work if finalized by mmc_close()
2006 []
Open O_EXCL all devices in address resolution chain
@@ -1044,6 +1237,7 @@ Test unlocking of single drive by burn_drive_grab(), burn_drive_release()
+
2006 []
Clear outdated persistent read buffer after small CD image was read (ticket 57)